<?php
/*
Plugin Name: PeriKiz Botu
Plugin URI: http://www.perikizoyun.com
Description: PeriKiz.Com Oyun Botu
Author: zomoyun
Version: 1.0
Author URI:
*/
require_once(dirname(__FILE__) . DIRECTORY_SEPARATOR . 'ayar.php');
require_once(dirname(__FILE__) . DIRECTORY_SEPARATOR . 'perikiz.php');

#Menüye Ekle
add_action('admin_menu', 'perikiz_menu_ekle');

#Menüye Ekleme Fonksiyonu
function perikiz_menu_ekle()
{
    add_menu_page('PeriKiz Botu', 'PeriKiz Botu', 10, __FILE__, 'perikizinit', plugin_dir_url( __FILE__ ).'logo.png');
}


function perikizinit()
{
    perikizdircheck();

    perikizcssjs();
    perikizust();
    perikizbot();
    perikizalt();
}


function getPeriKizKategoriler()
{
    global $perikiz_kategori_url,$perikiz_kategori_desen;
    $kaynak = getData($perikiz_kategori_url);
    if ($kaynak == FALSE) {
        exit("PeriKiz.com'dan Kategoriler ALınamadı!");
    }

    preg_match_all($perikiz_kategori_desen, $kaynak, $kategorilinki);
    if (count($kategorilinki) != 3) {
        exit("Kategorileri Alamadım!");
    }
    $toplam = count($kategorilinki['1']) - 1;
    $kategoriler = array();
    for ($i = 0; $i <= $toplam; $i++) {
        $kategoriler[$kategorilinki['2'][$i]] = $kategorilinki['1'][$i];
    }
    return $kategoriler;
}

function getPeriKizOyunlar($oyun_linki)
{
    global $perikiz_oyun_desen;
    $oyun_kaynak = getData($oyun_linki);
    preg_match_all($perikiz_oyun_desen, $oyun_kaynak, $oyunlinki);
    if (isset($oyunlinki['1']) === FALSE || count($oyunlinki) != 5) {
        exit("Oyunlar Al˝namad˝");
    }
    $t = count($oyunlinki['1']) - 1;
    $oyunlar = array();
    for ($i = 0; $i <= $t; $i++) {
        $new = array();
        $new['ad'] = $oyunlinki['1'][$i];
        $new['resim'] = $oyunlinki['3'][$i];
        $new['swf'] = $oyunlinki['2'][$i];
        $new['aciklama'] = $oyunlinki['4'][$i];
        $oyunlar[] = $new;
    }
    return $oyunlar;
}

function perikizcssjs()
{
    ?>

<script src="//ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js"></script>
<link href="//current.bootstrapcdn.com/bootstrap-v204/css/bootstrap-combined.min.css" rel="stylesheet">
<script src="//current.bootstrapcdn.com/bootstrap-v204/js/bootstrap.min.js"></script>

<script type="text/javascript">
    function hepsini_ekle() {
        $.each($('.oyun'), function (key, value) {
            oyunekle($(this).attr('id'));

        });
        return false;
    }
    function oyunekle(ID) {
        var form = $('#' + ID).serialize();

        $.ajax({
            type:"POST",
            url:"<?php echo plugin_dir_url(__FILE__); ?>process.php",
            data:form,
            success:function (cevap) {

                if (cevap.hata !== undefined) {
                    if(confirm(cevap.mesaj+" - Çekilen Oyun Listesinden Kaldırılsınmı?")){
                        oyunusil(ID);
                    }



                } else if (cevap.oke !== undefined) {
                    alert(cevap.mesaj);
                    $('#oyun-' + ID).remove();
                }

                console.log(cevap);
            },
            dataType:"json"
        }); // $.ajax() fonksiyonun sonu
        return false;
    }

    function oyunusil(ID) {
        $('#oyun-' + ID).remove();
        return false;
    }
</script>

<?php

}

function perikizust()
{
    echo '<div class="row-fluid">';
}


function perikizalt()
{
    echo '</div>';
}

function perikizprocess()
{
    global $categories, $users,$perikiz_oyunlar_url;
    $oyunkategori = Req::Post_Safe('oyunkategori');

    $sayfa = (Req::is_Post('sayfa') && intval(Req::Post_Safe('sayfa'))) ? Req::Post_Safe('sayfa') : 1;

    $kategori = Req::Post_Safe('kategori');

    $user = Req::Post_Safe('user');
    $durum = Req::Post_Safe('durum');


    $oyun_linki = $perikiz_oyunlar_url;
    if ($oyunkategori != '') {
        $oyun_linki .= "&kategori=" . $oyunkategori;
    } else {
        $oyunkategori = "Bütün Oyunlar";
    }
    $oyun_linki .= "&sayfa=" . $sayfa;
    $oyunlar = getPeriKizOyunlar($oyun_linki);

    $i = 0;


    ?>

<div class="span12">
    <div class="alert alert-success">
        <button data-dismiss="alert" class="close" type="button">×</button>
        <strong>Oyunlar Çekildi!</strong>

        Çekilen Kategori: <span class="label label-info"><?php echo $oyunkategori; ?></span> - Çekilen Sayfa:<span
        class="label label-inverse"><?php echo $sayfa; ?></span>
        <hr>

        <input class="btn btn-success" value="Hepsini Ekle"
                                  onClick="hepsini_ekle()">


    </div>
</div>
<?php
    foreach ($oyunlar AS $oyun) {
        $i++;

        ?>

    <div class="span12" style="border-top:2px solid #ccc; padding-top: 10px;" id="oyun-<?php echo $i; ?>">


        <div class="span4">
            <a class="thumbnail" href="#">
                <img src="<?php echo $oyun['resim']; ?>">
            </a>
        </div>

        <div class="span4">
            <form id="<?php echo $i; ?>" class="oyun form-horizontal">

                <fieldset>
                    <div class="control-group">
                        <label class="control-label">Oyun Başlığı</label>

                        <div class="controls">
                            <input type="text" name="ad" class="input-xlarge" value="<?php echo $oyun['ad']; ?>">
                        </div>
                    </div>

                    <div class="control-group">
                        <label class="control-label">Oyun Resim</label>

                        <div class="controls">
                            <input type="text" name="resim" class="input-xlarge" value="<?php echo $oyun['resim']; ?>">
                        </div>
                    </div>

                    <div class="control-group">
                        <label class="control-label">Oyun Swf</label>

                        <div class="controls">
                            <input type="text" name="swf" class="input-xlarge" value="<?php echo $oyun['swf']; ?>">
                        </div>
                    </div>

                    <div class="control-group">
                        <label class="control-label">Oyun Açıklaması</label>

                        <div class="controls">
                            <textarea name="aciklama" class="input-xlarge"><?php echo $oyun['aciklama']; ?></textarea>
                        </div>
                    </div>
                    <div class="control-group">
                        <label class="control-label">Oyun Tags</label>

                        <div class="controls">
                            <textarea name="tags"
                                      class="input-xlarge"><?php echo keywords($oyun['ad']); ?></textarea>
                        </div>
                    </div>


                    <div class="control-group">
                        <label class="control-label">Yayınlansınmı?</label>

                        <div class="controls">
                            <select name="durum" id="durum">
                                <option value="publish"
                                    <?php if ($durum == 'publish') { ?>selected="selected" <?php } ?>

                                    >Yayınla
                                </option>
                                <option value="pending"
                                    <?php if ($durum == 'pending') { ?>selected="selected" <?php } ?>
                                    >Yayınlama
                                </option>
                            </select>
                        </div>
                    </div>

                    <div class="control-group">
                        <label class="control-label">Üye</label>

                        <div class="controls">
                            <select name="user" id="user">
                                <?php foreach ($users AS $u) { ?>
                                <option value="<?php echo $u->ID; ?>"
                                    <?php if ($user != '' && $user == $u->ID) { ?>selected="selected"<?php } ?>
                                    ><?php echo $u->user_login; ?></option>
                                <?php } ?>
                            </select>
                        </div>
                    </div>


                    <div class="control-group">
                        <label class="control-label">Eklenecek Kategori</label>

                        <div class="controls">
                            <select name="kategori" id="kategori">
                                <?php foreach ($categories AS $cat) { ?>
                                <option value="<?php echo $cat->term_id; ?>"
                                    <?php if ($kategori != '' && $kategori == $cat->term_id) { ?>selected="selected"<?php } ?>

                                    ><?php echo $cat->name; ?></option>
                                <?php } ?>
                            </select>
                        </div>
                    </div>


                </fieldset>
            </form>
        </div>
        <div class="span4">


            <div class="control-group">
                <label class="control-label"></label>

                <div class="controls">
                    <input class="btn btn-success" value="Oyunu Ekle"
                           onClick="oyunekle('<?php echo $i; ?>')">
                </div>
            </div>
            <div class="control-group">
                <label class="control-label"></label>

                <div class="controls">
                    <input class="btn btn-danger" value="Oyunu Kaldır" onClick="oyunusil('<?php echo $i; ?>')">
                </div>
            </div>


        </div>

    </div>
    <?php
    }
}

function perikizbot()
{
    global $categories, $users;
    //print_r($users);
    ?>
<div class="span12"><h1 style="text-align: center;">PeriKiz.Com Oyun Botu</h1></div>

<div class="span12">
    <form class="well form-inline" method="POST" action="">

        <label for="oyunkategori">Kategori</label>

        <select name="oyunkategori" id="oyunkategori">
            <option value="">Bütün Oyunlar</option>
            <?php foreach (getPeriKizKategoriler() as $key => $value) { ?>
            <option value="<?php echo $key; ?>"><?php echo $value; ?></option>
            <?php }?>
        </select>

        <label for="sayfa">Sayfa</label>
        <input type="text" class="input-medium" name="sayfa" id="sayfa" placeholder="1">

        <hr>
        <br>
        <label for="sayfa">Sitenizin Kategorisi:</label>
        <select name="kategori">
            <option value="">Dilerseniz Seçin</option>
            <?php foreach ($categories AS $cat) { ?>
            <option value="<?php echo $cat->term_id; ?>"><?php echo $cat->name; ?></option>
            <?php }?>
        </select>
        <label for="sayfa">Üye:</label>
        <select name="user">
            <?php foreach ($users AS $u) { ?>
            <option value="<?php echo $u->ID; ?>"><?php echo $u->user_login; ?></option>
            <?php }?>
        </select>


        <label for="durum">Yayınlansınmı:</label>
        <select name="durum" id="durum">
            <option value="publish">Yayınla</option>
            <option value="pending">Yayınlama</option>
        </select>
        <hr>
        <br>

        <label></label>
        <input type="submit" class="btn btn-success" name="cek" value="Oyunları Çek">
    </form>


</div>
<hr>
<?php
    if (Req::is_Post('cek')) {
        perikizprocess();
    }
}

